package org.gcube.portlets.widgets.ckancontentmoderator.shared;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class OperationReport implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 879318163198093725L;
	private String operationType;
	private List<String> errorListItems = new ArrayList<String>();
	private List<String> passedListItems = new ArrayList<String>();

	public OperationReport() {
	}

	public OperationReport(String operationType, List<String> errorListItems, List<String> passedListItems) {
		super();
		this.operationType = operationType;
		this.errorListItems = errorListItems;
		this.passedListItems = passedListItems;
	}

	public String getOperationType() {
		return operationType;
	}

	public List<String> getErrorListItems() {
		return errorListItems;
	}

	public List<String> getPassedListItems() {
		return passedListItems;
	}

	public void setOperationType(String operationType) {
		this.operationType = operationType;
	}

	public void setErrorListItems(List<String> errorListItems) {
		this.errorListItems = errorListItems;
	}

	public void setPassedListItems(List<String> passedListItems) {
		this.passedListItems = passedListItems;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("OperationReport [operationType=");
		builder.append(operationType);
		builder.append(", errorListItems=");
		builder.append(errorListItems);
		builder.append(", passedListItems=");
		builder.append(passedListItems);
		builder.append("]");
		return builder.toString();
	}

}
